Skip to main content
POST
/
v1
/
enterprise
/
account
Attach a child organization to an enterprise
curl --request POST \
  --url https://api.mezmo.com/v1/enterprise/account \
  --header 'Authorization: Basic <encoded-value>' \
  --header 'Content-Type: application/json' \
  --header 'enterprise-servicekey: <api-key>' \
  --data '
{
  "retention": 7,
  "owner": "owner@example.org"
}
'
{
  "account": "0000000000",
  "enterprise": "0000000000",
  "retention": 7,
  "owner": "owner@example.org",
  "retentionPeriods": [
    7
  ],
  "plan": "enterprise",
  "servicekey": "7b273eb8adc962f2711ad760730debb0"
}

Documentation Index

Fetch the complete documentation index at: https://mezmo-9a59581a-mintlify-926f893d.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

enterprise-servicekey
string
header
required

When authorizing against our enterprise endpoints, they expect an enterprise service key instead of a regular organization service key. Some endpoints might expect both an enterprise service key and a regular organization service key.

Authorization
string
header
required

(Deprecated) As an alternative to authenticating with a header value, you can also use basic authentication. To use either apiKey or servicekey as basic authentication, simply pass the key as the username with no password. For example:

curl https://api.logdna.com/v1/config/view -u INSERT_API_KEY:

Body

application/json

Request parameters.

retention
integer

Current retention period selected for the child organization

Example:

7

owner
string

The email of a user to be given owner privileges of an account.

Example:

"owner@example.org"

Response

Child organization successfully attached.

account
string

Account number of the organization

Example:

"0000000000"

enterprise
string

Unique Id of the enterprise organization

Example:

"0000000000"

retention
integer

Current retention period selected for the child organization

Example:

7

owner
string

The email of a user to be given owner privileges of an account.

Example:

"owner@example.org"

retentionPeriods
integer[]

Available log retention options for the child organization

Current retention period selected for the child organization

plan
string

The name of a plan.

Example:

"enterprise"

servicekey
string

A secret key which can be used to authenticate requests to Mezmo.

Example:

"7b273eb8adc962f2711ad760730debb0"